Subject: [alpine-aports] [PATCH 1/1] testing/discount: new aport

From: Daniel Sabogal <[email-masked]>
Date: Thu, 11 Aug 2016 21:24:36 -0400

From: Daniel Sabogal <[email-masked]>

http://www.pell.portland.or.us/~orc/Code/discount/
A Markdown to HTML translator written in C
---
 testing/discount/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/discount/APKBUILD

diff --git a/testing/discount/APKBUILD b/testing/discount/APKBUILD
new file mode 100644
index 0000000..5f322e0
--- /dev/null
+++ b/testing/discount/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Daniel Sabogal <[email-masked]>
+# Maintainer:
+pkgname=discount
+pkgver=2.2.0
+pkgrel=0
+pkgdesc="A Markdown to HTML translator written in C"
+url="http://www.pell.portland.or.us/~orc/Code/discount/"
+arch="all"
+license="BSD"
+depends="!markdown"
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.pell.portland.or.us/~orc/Code/discount/$pkgname-$pkgver.tar.bz2"
+
+builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	cd "$builddir"
+	sed -i -e 's/m 444/m 644/g' -e '1335d' configure.inc
+}
+
+build() {
+	cd "$builddir"
+	./configure.sh \
+		--prefix=/usr \
+		--enable-all-features \
+		--with-fenced-code \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir" install install.man || return 1
+}
+
+md5sums="fc784284fbdddfa10ed394210cc16f53  discount-2.2.0.tar.bz2"
+sha256sums="b25395c29c2c08836199eb2eae87b56e6b545e77f5fbf921678aa1dc0ddab9f3  discount-2.2.0.tar.bz2"
+sha512sums="04b66496ca53a2ab73cba2a8f9d8e77efd13f318b188611aaaebc4fd036a02cd188aa712337df414ff3b7ac65d2ced17020085cae10338e8af47e5b9552d981a  discount-2.2.0.tar.bz2"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---